Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine
Interface TextAnalysisEngine

All Superinterfaces:
  AnalysisEngine, CasObjectProcessor, CasProcessor, ConfigurableResource, Resource

Deprecated. As of v2.0, `AnalysisEngine` should be used instead. This interface no longer defines any additional methods beyond those in AnalysisEngine.

    public interface TextAnalysisEngine

extends AnalysisEngine

A Text Analysis Engine (TAE) is a type of Analysis Engine specialized for processing Text documents.

Field Summary

Fields inherited from interface org.apache.uima.analysis_engine.AnalysisEngine
`PARAM_CONFIG_PARAM_SETTINGS, PARAM_MBEAN_NAME_PREFIX, PARAM_MBEAN_SERVER, PARAM_NUM_SIMULTANEOUS_REQUESTS, PARAM_RESOURCE_MANAGER, PARAM_TIMEOUT_PERIOD`

Fields inherited from interface org.apache.uima.resource.Resource
`PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_UIMA_CONTEXT`

Method Summary

Methods inherited from interface org.apache.uima.analysis_engine.AnalysisEngine
`batchProcessComplete, collectionProcessComplete, createResultSpecification, createResultSpecification, getAnalysisEngineMetaData, getFeatureNamesForType, getLogger, getManagementInterface, getPerformanceTuningSettings, getResourceManager, initialize, newCAS, newJCas, process, process, process, process, process, process, process, processAndOutputNewCASes, processAndOutputNewCASes, reconfigure, setLogger, setResultSpecification`

Methods inherited from interface org.apache.uima.resource.ConfigurableResource
`getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

Methods inherited from interface org.apache.uima.resource.Resource
`destroy, getMetaData, getUimaContext, getUimaContextAdmin`

Methods inherited from interface org.apache.uima.collection.base_cpm.CasObjectProcessor
`processCas, processCas, typeSystemInit`

Methods inherited from interface org.apache.uima.collection.base_cpm.CasProcessor
`batchProcessComplete, collectionProcessComplete, getProcessingResourceMetaData, isReadOnly, isStateless`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.